# -Tm2          tell assembler to use 2 passes to resolve forward references
# -w-par        don't complain about unused parameters
# -vi           expand functions inline (doesn't help my constructors, dammit!)
# -O            optimize
# -v            include debugging symbols
# -WX           generate 32-bit DPMI executable
#
all: phystst2.exe phystest.exe

phys.obj: phys.c
    bcc32 -c -v -WX phys.c

phystest.obj: phystest.c
    bcc32 -w-par -c -v -WX phystest.c

phystst2.obj: phystst2.cpp
    bcc32 -B -w-par -c -v -WX phystst2.cpp

phystest.exe:    phystest.obj phys.obj
    bcc32 -v -WX phystest.obj phys.obj

phystst2.exe:    phystst2.obj phys.obj
    bcc32 -v -WX phystst2.obj phys.obj

