# 1130, Wed 1 Jul 92
#
# Nevil's version of SRC F\MAKEFILE:  using Turbo C instead of Borland C
#
# Makes both small and large-model libraries
#

#
#       Makefile for Waterloo TCP/IP kernal
#
# switches:
#   define the ones you want in the CFLAGS definition...
#
#   TRACE       - turn on tracing/debugging code
#
#
DEBUGS= -v

CC=bcc32
CFLAGS= $(DEBUGS) -DMSDOS -Ic:\bc45\include -I..\include
MODELS=-WX

# Assembler flags
ASM=tasm32
AFLAGS=-mx -t -i..\elib
#AFLAGS=-mx -l -t -i..\elib
AMODELS=-dFUNC_L=0

# Define PC-specific include file

.cpp.obj:
    $(CC) -c $(MODELS) $(CFLAGS) $*.cpp

.c.obj:
        $(CC) -c $(MODELS) $(CFLAGS) $*.c

.asm.obj:
        $(ASM) $(AFLAGS) $(AMODELS) $*;

objs = pkt_test.obj pcpkt.obj timeout.obj outhexes.obj intr.obj intr2.obj phys.obj realmode.obj real2.obj far.obj timestmp.obj

dogs =  pcarp.obj pcsed.obj pcicmp.obj pcping.obj \
        sock_prn.obj sock_ini.obj pcbsd.obj pcrecv.obj \
        udp_nds.obj pcconfig.obj pc_cbrk.obj pcbuf.obj \
        pcbootp.obj sock_dbu.obj pcdbug.obj test.obj pcstat.obj \
        bsdname.obj fragment.obj \
        realmode.obj real2.obj phys.obj intr.obj intr2.obj far.obj \
        select.obj pctcp.obj pcpkt.obj netback.obj udp_dom.obj

pkt_test.exe: $(objs)
        $(CC) $(MODELS) $(CFLAGS) @&&!
$(objs)
!


pcpkt.obj: pcpkt.c ..\include\wattcp.h ..\dpmi32\realmode.h
fragment.obj: fragment.c ..\include\wattcp.h
select.obj: select.c ..\include\wattcp.h
pcicmp.obj: pcicmp.c ..\include\wattcp.h
pctcp.obj: pctcp.c ..\include\wattcp.h
pcarp.obj: pcarp.c ..\include\wattcp.h
wattcpd.obj: wattcpd.c ..\include\wattcp.h
pcping.obj: pcping.c ..\include\wattcp.h
pcsed.obj: pcsed.c ..\include\wattcp.h ..\include\ethdev.h
sock_prn.obj: sock_prn.c ..\include\wattcp.h
sock_ini.obj: sock_ini.c ..\include\wattcp.h
udp_nds.obj: udp_nds.c ..\include\wattcp.h
udp_dom.obj: udp_dom.c ..\include\wattcp.h
pcconfig.obj: pcconfig.c ..\include\wattcp.h
pc_cbrk.obj: pc_cbrk.c ..\include\wattcp.h
sock_dbu.obj: sock_dbu.c ..\include\wattcp.h
pcbsd.obj: pcbsd.c ..\include\tcp.h ..\include\wattcp.h
pcbuf.obj: pcbuf.c ..\include\wattcp.h
pcbootp.obj: pcbootp.c ..\include\wattcp.h ..\include\bootp.h
pcrecv.obj: pcrecv.c ..\include\wattcp.h
pcdbug.obj: pcdbug.c ..\include\wattcp.h
pcstat.obj: pcstat.c ..\include\wattcp.h
netback.obj: netback.c ..\include\tcp.h
bsdname.obj: bsdname.c ..\include\wattcp.h
realmode.obj: ..\dpmi32\realmode.c ..\dpmi32\realmode.h
real2.obj: ..\dpmi32\real2.asm
intr.obj: ..\dpmi32\intr.c
intr2.obj: ..\dpmi32\intr2.asm
phys.obj: ..\dpmi32\phys.c
far.obj: ..\dpmi32\far.asm
timestmp.obj: ..\intel\timestmp.cpp
