/*
 * Copyright (c) 1991 by Fore Systems, Inc.
 */

#ifndef _shared_mem_h
#define _shared_mem_h

#ifndef lint
static char _shared_mem_h_rcsid[] = "@(#)$Id: shared_mem.h,v 1.2 1993/12/09 00:08:44 ghoti Exp $ FSI";
#endif /* lint */

#define MON960COM_OFFSET    0x00000400  /* offset from beginning of RAM */
#define COMMON_ORIGIN       0x00004d40  /* offset from beginning of RAM */

#define RAM_SIZE         (256 * 1024)
#define MONITOR_ORIGIN   0
#define MONITOR_LENGTH   COMMON_ORIGIN
#define COMMON_LENGTH    (1 * 1024)     /* max length of common area */
#define APP_ORIGIN       (MONITOR_ORIGIN + MONITOR_LENGTH + COMMON_LENGTH)
#define APP_LENGTH       ((RAM_SIZE - MONITOR_LENGTH) - COMMON_LENGTH)
#endif /* _shared_mem_h */
