#ifndef _BYTESWAP_H
#define _BYTESWAP_H



// header files that we depend upon
//
#include "..\types\types.h"



#ifdef __cplusplus
extern "C" {
#endif

Bit32 _fastcall swap32( Bit32 value );
Bit16 _fastcall swap16( Bit16 value );

#ifdef __cplusplus
}
#endif



#define htons(value) swap16(value)
#define ntohs(value) swap16(value)
#define htonl(value) swap32(value)
#define ntohl(value) swap32(value)



#endif  // not included yet
